.\" Man page generated from reStructuredText.
.
.TH "CWB_SETVETO" "1" "Nov 25, 2022" "cWB-6.4.2" "coherent WaveBurst"
.SH NAME
cwb_setveto \- cWB Documentation
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.nf

.fi
.sp
.nf

\fBUsage\fP

This command applies post\-production data qualities (cat3, hveto, pem)
to the ROOT file produce by \fI\%cwb_merge\fP command.Data
quality file lists are defined in the
\fI\%user_pparameters.C\fP file.

\fBSyntax\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
\fBcwb_setveto action [label/list] user_parameters_file(optional) user_pparameters_file(optional)\fP
.IP \(bu 2
\fBaction\fP
.INDENT 2.0
.IP \(bu 2
label same label used by cwb_merge
.IP \(bu 2
list list the label of files already merged
.UNINDENT
.IP \(bu 2
\fBuser_parameters_file\fP alternative user_parameters file (optional)
.IP \(bu 2
\fBuser_pparameters_file\fP alternative user_pparameters file (optional)
.UNINDENT
.sp
This is an example of configuration file used for post\-processing of S6A background
.UNINDENT
.UNINDENT
.nf

\fBExample\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
* the input files are the merged files produced by the cwb_merge command :

   \- merge/wave_*_M1.root   // reconstructed events root file
   \- merge/live_*_M1.root   // live time root file
   \- merge/merge_*_M1.lst   // list of merged root files

* the vetoe files must be defined in the user_pparameters.C, for example :

  const int nvdqf=3;
  dqfile vdqf[nvdqf] = {
         {"L1", "input/L1_KW_HVETO_S6A.txt", CWB_HVETO, 0., false, false},
         {"H1", "input/H1_KW_HVETO_S6A.txt", CWB_HVETO, 0., false, false},
         {"V1", "input/V1_KW_HVETO_S6A.txt", CWB_HVETO, 0., false, false},
         {"L1", "input/S6A_OFFLINE_L1_DQCAT3SEGMENTS.txt", CWB_CAT3,  0., false, false},
         {"H1", "input/S6A_OFFLINE_H1_DQCAT3SEGMENTS.txt", CWB_CAT3,  0., false, false},
         {"V1", "input/S6A_OFFLINE_V1_DQCAT3SEGMENTS.txt", CWB_CAT3,  0., false, false}
        };

* cwb_setveto M1
  apply hveto & cat3 data quality and produce three new ROOT files in the merge directory:

   \- merge/wave_*_M1.V_hvetoLHV_cat3LHV.root
   \- merge/live_*_M1.V_hvetoLHV_cat3LHV.root (same file as the one produced by cwb_merge)
   \- merge/merge_*_M1.V_hvetoLHV_cat3LHV.lst (same file as the one produced by cwb_merge)

* the output vetoed merged files contains a new boolean leaf for each veto type

   \- veto_cat3_L1
   \- veto_cat3_H1
   \- veto_cat3_V1
   \- veto_hveto_L1
   \- veto_hveto_H1
   \- veto_hveto_V1

  the boolean leaf is true if the event is vetoed
.ft P
.fi
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.SH AUTHOR
Gabriele Vedovato
.SH COPYRIGHT
2018, cWB Team
.\" Generated by docutils manpage writer.
.
